"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayerCheckColorEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player requests to have their color set. Only emitted if the
 * client is the host.
 */
class PlayerCheckColorEvent extends events_1.CancelableEvent {
    constructor(room, player, message, 
    /**
     * The original color that the player asked for.
     */
    originalColor, 
    /**
     * The altered color, i.e. the original color was taken.
     */
    alteredColor) {
        super();
        this.room = room;
        this.player = player;
        this.message = message;
        this.originalColor = originalColor;
        this.alteredColor = alteredColor;
        this.eventName = "player.checkcolor";
    }
    /**
     * Change the altered color for the player to have set.
     * @param color The color to set.
     */
    setColor(color) {
        this.alteredColor = color;
    }
}
exports.PlayerCheckColorEvent = PlayerCheckColorEvent;
PlayerCheckColorEvent.eventName = "player.checkcolor";
//# sourceMappingURL=CheckColor.js.map