"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactorConsolesResetEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when the reactor consoles are reset, i.e. when reactor is fully
 * repaired.
 */
class ReactorConsolesResetEvent extends events_1.RevertableEvent {
    constructor(room, reactor, message, 
    /**
     * The player that reset the consoles (repaired reactor). Only available
     * if the client is the host.
     */
    player) {
        super();
        this.room = room;
        this.reactor = reactor;
        this.message = message;
        this.player = player;
        this.eventName = "reactor.consoles.reset";
    }
}
exports.ReactorConsolesResetEvent = ReactorConsolesResetEvent;
ReactorConsolesResetEvent.eventName = "reactor.consoles.reset";
//# sourceMappingURL=ConsolesReset.js.map